#ifndef _Tree_h_
#define _Tree_h_

#define RED   1
#define BLACK 0

typedef struct Keyval_t Keyval; /* opaque type */
typedef struct Tree_t   Tree;   /* opaque type */
typedef struct Node_t   Node;   /* opaque type */

Tree* createTree(void);
void  deleteTree(Tree* t);
int   insertNode(Tree* t, int key, char* value);
void  displayTree(Tree* t);
void  displayNodeContent(Tree* t, int k);

Tree* lcreateTree(void);
void  ldeleteTree(Tree* t);
int   linsertNode(Tree* t, int key, char* value);
void  ldisplayTree(Tree* t);
void  ldisplayNodeContent(Tree* t, int k);


#endif /* _Tree_h_ */
